## Modulemd.Obsoletes (Private) Modulemd.Obsoletes (Private) — ModulemdObsoletes methods that should only be used by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

guint64 | modulemd_obsoletes_get_mdversion ()
const gchar * | modulemd_obsoletes_get_module_name ()
const gchar * | modulemd_obsoletes_get_module_stream ()
void | modulemd_obsoletes_set_message ()
void | modulemd_obsoletes_set_obsoleted_by_module_name ()
void | modulemd_obsoletes_set_obsoleted_by_module_stream ()
ModulemdObsoletes * | modulemd_obsoletes_parse_yaml ()
gboolean | modulemd_obsoletes_emit_yaml ()

## Description

## Functions

### modulemd_obsoletes_get_mdversion ()

    guint64
    modulemd_obsoletes_get_mdversion (ModulemdObsoletes *self);

#### Parameters

self | This ModulemdObsoletes object. | [in]

#### Returns

The metadata mdversion of this ModulemdObsoletes object.

Since: 2.10

### modulemd_obsoletes_get_module_name ()

    const gchar *
    modulemd_obsoletes_get_module_name (ModulemdObsoletes *self);

#### Parameters

self | This ModulemdObsoletes object. | [in]

#### Returns

The module name to which this ModulemdObsoletes object applies.

Since: 2.10

### modulemd_obsoletes_get_module_stream ()

    const gchar *
    modulemd_obsoletes_get_module_stream (ModulemdObsoletes *self);

#### Parameters

self | This ModulemdObsoletes object. | [in]

#### Returns

The stream name to which this ModulemdObsoletes object applies.

Since: 2.10

### modulemd_obsoletes_set_message ()

    void
    modulemd_obsoletes_set_message (ModulemdObsoletes *self,
                                    const gchar *message);

#### Parameters

self | This ModulemdObsoletes object. |
message | A string describing the change, reason, etc. | [in]

Since: 2.10

### modulemd_obsoletes_set_obsoleted_by_module_name ()

    void
    modulemd_obsoletes_set_obsoleted_by_module_name
                                   (ModulemdObsoletes *self,
                                    const gchar *obsoleted_by_module_name);

Has to be set together with obsoleted by module stream.

#### Parameters

self | This ModulemdObsoletes object. |
obsoleted_by_module_name | The module name of obsoleting stream. | [in]

Since: 2.10

### modulemd_obsoletes_set_obsoleted_by_module_stream ()

    void
    modulemd_obsoletes_set_obsoleted_by_module_stream
                                   (ModulemdObsoletes *self,
                                    const gchar *obsoleted_by_module_stream);

Has to be set together with obsoleted by module name.

#### Parameters

self | This ModulemdObsoletes object. |
obsoleted_by_module_stream | The module stream of obsoleting stream. | [in]

Since: 2.10

### modulemd_obsoletes_parse_yaml ()

    ModulemdObsoletes *
    modulemd_obsoletes_parse_yaml (ModulemdSubdocumentInfo *subdoc,
                                   gboolean strict,
                                   GError **error);

#### Parameters

subdoc | A ModulemdSubdocumentInfo representing a obsoletes * document. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdObsoletes object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.10

### modulemd_obsoletes_emit_yaml ()

    gboolean
    modulemd_obsoletes_emit_yaml (ModulemdObsoletes *self,
                                  yaml_emitter_t *emitter,
                                  GError **error);

#### Parameters

self | This ModulemdObsoletes object. | [in]
emitter | A libyaml emitter object positioned where obsoletes data belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the obsoletes data was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.10